Package org.eclipse.lemminx.services.extensions.codeaction

## Interface ICodeActionResolverRequest

All Superinterfaces:
  `IBaseCodeActionRequest`, `IComponentProvider`

All Known Implementing Classes:
  `ResolveCodeActionRequest`

    public interface ICodeActionResolverRequest
    extends IBaseCodeActionRequest

The code action resolver request API.

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDataProperty​(String fieldName)` Returns the data property value of the given `fieldName` and null otherwise.
`String` `getParticipantId()` Returns the participant ID `ICodeActionResolvesParticipant` which must resolve the unresolved code action.
`org.eclipse.lsp4j.CodeAction` `getUnresolved()` Returns the unresolved code action.
`XMLGenerator` `getXMLGenerator​(org.eclipse.lsp4j.Range range)` Returns the XML generator and null otherwise.

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.IBaseCodeActionRequest

`getDocument, getSharedSettings`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.IComponentProvider

`getComponent`

### Method Detail

#### getUnresolved

    org.eclipse.lsp4j.CodeAction getUnresolved()

Returns the unresolved code action.

Returns:
  the unresolved code action.

#### getParticipantId

    String getParticipantId()

Returns the participant ID `ICodeActionResolvesParticipant` which must resolve the unresolved code action.

Returns:
  the participant ID `ICodeActionResolvesParticipant` which must resolve the unresolved code action.

#### getDataProperty

    String getDataProperty​(String fieldName)

Returns the data property value of the given `fieldName` and null otherwise.

Parameters:
  `fieldName` - the field name.
Returns:
  the data property value of the given `fieldName` and null otherwise.

#### getXMLGenerator

    XMLGenerator getXMLGenerator​(org.eclipse.lsp4j.Range range)
                          throws BadLocationException

Returns the XML generator and null otherwise.

Parameters:
  `range` - the range of the Code Action
Returns:
  the XML generator and null otherwise.
Throws:
  `BadLocationException`